Inhaltsverzeichnis

    Systemvoraussetzungen der JTL-Produkte

    Auf dieser Seite finden Sie die Systemvoraussetzungen für unsere JTL-Produkte. Bitte beachten Sie, dass diese teilweise Richtwerte sind. Es ist also möglich, dass Sie unsere Produkte auch auf Systemen mit geringen Werten betreiben können.

    Voraussetzungen für JTL-Wawi

    Bei JTL-Wawi wird zwischen den Voraussetzungen für den Computer, auf dem die Datenbank betrieben wird, und für die Client-Rechner, die lediglich auf die Datenbank zugreifen, unterschieden. Bitte beachten Sie, dass Sie JTL-Wawi auch mit nur einem Computer betreiben können, der gleichzeitig als Datenbank- und Client-Rechner dient. In diesem Fall gelten jeweils die höchsten Anforderungen.

    Systemvoraussetzungen für Arbeitsplätze/Clients (JTL-Wawi)

    Software:

    • Microsoft .Net Framework 4.7.2 oder 4.8

    Betriebssystem:

    Hinweis: Am 14. Oktober 2025 wird der Support für Windows 10 von Microsoft eingestellt (Quelle). Windows 10 unterstützt aktuell kein TLS 1.3. Deshalb könnte bereits jetzt die Kommunikation (Abgleiche) zu anderen Dienstleistern nicht funktionieren, wenn diese in Ausnahmefällen nur noch TLS 1.3 unterstützen. JTL-Dienste unterstützen bis auf weiteres neben TLS 1.3 auch noch TLS 1.2. Sollte sich dies vor dem Supportende für Windows 10 seitens Microsoft ändern, werden wir Sie rechtzeitig informieren. Wir können nicht sagen, ob Microsoft TLS 1.3 Unterstützung für Windows 10 bis zum Supportende noch nachliefert. Um sicherzustellen, dass ihre Systeme (JTL und andere) weiterhin reibungslos arbeiten können, empfehlen wir Ihnen schon jetzt einen zeitnahen Umstieg auf Windows 11. Lesen dazu auch: Sicherheitsprotokoll TLS 1.3    
    • Windows 10
    • Windows 11 (empfohlen)

    Bildschirmauflösung: JTL-Wawi benötigt einen Bildschirm mit einer Mindestauflösung von 1280 x 1024 Pixeln.

    Systemvoraussetzungen für den Datenbankserver (MS SQL Express)

    Lesen Sie zu diesem Thema bitte die Dokumentation SQL-Server für JTL-Wawi optimal einrichten.

    Microsoft SQL Server Version:

    Wir unterstützen MS SQL Server aktuell ausschließlich unter Windows.

    • ab MS SQL Version 2014
    • MS SQL Server 2022 (empfohlen)

    Für MS SQL Server 2022 werden folgende Systemanforderungen benötigt:

    Software:

    • min. Microsoft .Net Framework 4.7.2

    Betriebssystem:

    • Windows 10 oder höher
    • Windows Server 2016 oder höher

    Hardware:

    • Prozessor: Mindestens x64-Prozessor mit 1,4 GHz
    • Arbeitsspeicher: Mindestens 512 MB RAM für SQL Server Express with Tools und SQL Server Express with Advanced Services sowie 4 GB für Reporting Services, die mit SQL Server Express with Advanced Services installiert werden
    • Festplattenspeicherplatz: Mindestens 6 GB Festplattenplatz + Genügend Speicherplatz für die SQL-Datenbank von JTL-Wawi
    Hinweis: Sie können die Mindestanforderungen für die jeweilige SQL-Version hier finden.

    Voraussetzungen für JTL-WMS

    Für JTL-WMS wird grundsätzlich ein Bürorechner oder Server benötigt, auf dem die Datenbank von JTL-Wawi läuft. Des Weiteren gibt es Anforderungen an die einzelnen Packplätze, mobile Geräte und das Netzwerk, über das alle Rechner miteinander verbunden sind.

    Betriebssystem:

    • Windows 10 oder höher
    • Windows Server 2016 oder höher
    Hinweis: Bitte achten Sie darauf, dass Sie ebenfalls alle Mindestvoraussetzung von Windows erfüllen. Lesen Sie mehr zum Thema hier: Mindestanforderungen für Windows 10; Mindestanforderungen für Windows 11.

    Netzwerk

    LAN:

    • Gigabit-LAN oder besser

    WLAN:

    • Bevorzugt im 5-GHz-Band
    • Access Points müssen bei Verwendung der JTL-WMS Mobile App das Hand-Over-Protokoll unterstützen

    Packtisch-Rechner

    • Prozessor: Intel i3 oder besser
    • Arbeitsspeicher: 4 GB RAM
    • Grafikkarte: Mindestens 128 MB Grafikspeicher

    Tablets/Kombigeräte

    Wir empfehlen grundsätzlich keine Multimedia-Tablets, da diese in der Regel im Auslieferungszustand zu viel störende Software enthalten und deren Akkulaufzeit stark beschränkt ist.

    • Prozessor: 1,5 GHz DualCore oder besser
    • Display: 4,5 Zoll oder größer
    • Arbeitsspeicher: 1 GB, empfohlen: 2 GB
    • WLAN: 5 GHz WLAN

    Bildschirmauflösung

    Die verwendeten Monitore müssen mindestens eine Bildschirmauflösung von 1400×1050 unterstützen. Empfohlen wird jedoch eine Auflösung von 1920×1080. Da JTL-WMS auf Bedienung von Touch-Monitoren ausgelegt ist, wurden viele Kontrollelemente wie Schaltfläche und Listen sehr groß gehalten. Daher wird eine hohe Auflösung für eine gute Übersicht dringend empfohlen.

    Voraussetzungen für JTL-Workbench

    Für JTL-Workbench wird grundsätzlich ein Bürorechner oder Server benötigt, auf dem die Datenbank von JTL-Wawi läuft. Des Weiteren gibt es Anforderungen an die einzelnen Arbeitsplätze und das Netzwerk, über das alle Rechner miteinander verbunden sind.

    Betriebssystem:

    • Windows 10 oder höher
    • Windows Server 2016 oder höher
    Hinweis: Bitte achten Sie darauf, dass Sie ebenfalls alle Mindestvoraussetzung von Windows erfüllen. Lesen Sie mehr zum Thema hier: Mindestanforderungen für Windows 10; Mindestanforderungen für Windows 11.

    Netzwerk

    LAN:

    • Gigabit-LAN oder besser

    WLAN:

    • Bevorzugt im 5-GHz-Band

    Produktionsrechner

    • Prozessor: Intel i3 oder besser (Multi-Core)
    • Arbeitsspeicher: 4 GB RAM
    • Grafikkarte: DirectX9 oder höher

    Bildschirmauflösung

    Die verwendeten Monitore müssen mindestens eine Bildschirmauflösung von 1400×1050 unterstützen. Empfohlen wird jedoch eine Auflösung von 1920×1080. Da JTL-Workbench auf Bedienung von Touch-Monitoren ausgelegt ist, wurden viele Kontrollelemente wie Schaltfläche und Listen sehr groß gehalten. Daher wird eine hohe Auflösung für eine gute Übersicht dringend empfohlen.

    Voraussetzungen für JTL-Shop

    Internetanbindung

    • Uploadgeschwindigkeit von 2 MBit/s, empfohlen: 6 MBit/s

    In der Regel ist die Downloadgeschwindigkeit Ihrer Internetverbindung nicht relevant, da sie normalerweise deutlich höher als die Uploadgeschwindigkeit ist.

    Server

    Hinweis: Die Systemvoraussetzungen stellen das offiziell unterstützte, empfohlene und supportete Setup für den Betrieb von JTL-Shop dar. Der Betrieb auf ähnlichen Setups (Windows, FreeBSD, sunOS, nginx-webserver, PHP-FPM) ist zwar generell möglich, jedoch können wir dafür keinen Support für die Einrichtung und/oder daraus entstehenden Problemen mit der Software anbieten. Alternative HTTP-Server (z. B. NGINX): Bitte beachten Sie, dass die .htaccess-Regeln (u. a. zum Verzeichnisschutz!) bei diesen Servern manuell durch entsprechende Regeln nachgetragen werden müssen.

    Bitte stellen Sie sicher, dass die folgenden Systemvoraussetzungen von Ihrem Webserver erfüllt werden:

    • JTL-Wawi: Mindestens Version 1.0, für volle UTF-8-Unterstützung mindestens JTL-Wawi 1.6
    Hinweis: Ab JTL-Wawi 1.6 wird mindestens Version 4.06 von JTL-Shop benötigt.
    • Betriebssystem: Linux (Debian, Ubuntu etc.). Bitte beachten Sie die oben aufgeführten Hinweise.
    • 64-bit-Apache-Webserver (PHP-Mode: FCGI oder Apache Module) 2.2 oder 2.4 mit mod_rewrite-Modul, .htaccess support. (Der Webserver muss erlauben, dass Standardregeln überschrieben und ergänzt werden.)
    • Datenbank: MySQL 5 ab 5.7 oder MariaDB von Version 10.1 bis einschließlich 10.9.6; ab JTL-Shop 5.2.3 sogar bis einschließlich 10.11 (LTS); ab JTL-Shop 5.1 auch MySQL 8.0
    • PHP-Version: JTL-Shop 5 benötigt ab Version 5.2 mindestens PHP 8.1; wir empfehlen ab 5.2.3 PHP 8.2.

    Shop-Version

    PHP 7.0

    PHP 7.1

    PHP 7.2

    PHP 7.3

    PHP 7.4

    PHP 8

    PHP 8.1

    PHP 8.2

    4.00 bis 4.05

    Ja

    Nein

    Nein

    Nein

    Nein

    Nein

    Nein

    Nein

    4.06 bis 4.06.15

    Ja

    Ja

    Ja

    Nein

    Nein

    Nein

    Nein

    Nein

    4.06.16

    Ja

    Ja

    Ja

    Ja

    Nein

    Nein

    Nein

    Nein

    4.06.17+

    Ja

    Ja

    Ja

    Ja

    Ja

    Nein

    Nein

    Nein

    5.0.*

    Nein

    Nein

    Nein

    Ja

    Ja

    Nein

    Nein

    Nein

    5.1.*

    Nein

    Nein

    Nein

    Ja

    Ja

    Ja

    Nein

    Nein

    5.2.0

    Nein

    Nein

    Nein

    Nein

    Nein

    Nein

    Ja

    Nein

    5.2.3+

    Nein

    Nein

    Nein

    Nein

    Nein

    Nein

    Ja

    Ja

    • Mailserver: Lokal oder per SMTP erreichbar
    • PHP-Module:
    • SimpleXML
    • Imagick
    • Curl
    • Iconv
    • MBString
    • Tokenizer
    • Intl
    • PDO (MySQL)
    • IonCube-Loaders (http://www.ioncube.com/loaders.php): JTL-Shop 5 wird mit offenem Quelltext ausgeliefert und ist ohne IonCube-Loader betriebsbereit. Ein IonCube-Loader wird unter Umständen jedoch für den Betrieb von Drittanbieter-Plugins benötigt.
    • PHP-Einstellungen:
    • PHP-Skript-Ausführungszeit (max_execution_time) mindestens 120 Sekunden
    • PHP-Speicherlimit (memory_limit) mindestens 128 MB
    • Maximale PHP Übertragungsgröße (FILE / upload_max_filesize) mindestens 6 MB
    • Maximale PHP Übertragungsgröße (POST / post_max_size) mindestens 8 MB
    • allow_url_fopen aktiviert

    Exkurs: Benötigter Webspace

    Für wie viele Artikel wie viel Webspace benötigt wird, lässt sich nur theoretisch rechnerisch bestimmen. Ausschlaggebend sind nicht die Artikel selbst, sondern hauptsächlich deren Bilder. Artikelbilder werden in Originalgröße auf dem Webspace abgelegt und zusätzlich je Shop-Sprache in vier verschiedenen Größen skaliert gespeichert.

    So ergibt sich bei einer Shopsprache je nach Ziel-Bildgrößen und Qualität die 2–3-fache Größe der Originalbild-Dateigrößen für den benötigten Webspace.

    • Eine Shopsprache
    • 200 KB durchschnittliche Originalgröße
    • Denken Sie darüber nach, welche Bildgrößen Sie Kunden zur Verfügung stellen wollen. Wenn Sie Full-HD-Bilder bereitstellen wollen, sollten Sie keine 4k-Bilder in JTL-Wawi hinterlegen, die sehr viel Speicherplatz benötigen.
    • Artikelbilder, die in JTL-Wawi bei den Artikeln hinterlegt werden
    • Achten Sie darauf, dass die Bilder gut komprimiert sind (zulässige Dateiformate für Artikelbilder sind .jpg/.jpeg und .png).
    • Im Shop wird eingestellt, dass die größte Anzeigeform für Artikelbilder der Originalgröße in JTL-Wawi entspricht.

    Unter diesen Voraussetzungen würden 10 GB Webspace für etwa 17.000 bis 25.000 Artikelbilder reichen.


    Hinweis zur Shop-Domain: Wir raten dringend davon ab, für Ihren Shop eine Domain mit Umlauten/Sonderzeichen zu verwenden. Diese führen immer wieder zu Problemen. Ein fehlerfreier Einsatz kann leider nicht gewährleistet werden. Wir empfehlen stattdessen, als Hauptdomain eine Domain ohne Umlaute/Sonderzeichen und die anderen Domains nur als Aliasdomains zu verwenden, die auf die Hauptdomain weiterleiten.

    Webhosting-spezifische Voraussetzungen:

    Unserer Erfahrung nach gibt es Probleme bei Servern mit sunOS und dem IonCube-Loader! Bitte erkundigen Sie sich vor der Shop-Installation bei Ihrem Hoster, welches Betriebssystem auf dem Server eingesetzt wird. Wir empfehlen den Einsatz von Linux-Webservern.

    Info für 1&1-Hosting-Kunden: Bei 1&1-Hosting-Kunden sind nach Installation des JTL-Shop zusätzliche Schritte erforderlich, um ionCube zu aktivieren, siehe JTL-Shop auf einem Server von 1&1 oder Strato betreiben.

    Info für Strato Managed Virtual Server Kunden: Bei der Installation des Shops/IonCube muss „PHP-Modus und -Beschleuniger“ auf CGI stehen. Für die Nutzung des SEO-Moduls muss der Modus dann wieder auf „Fast CGI + APC“ gesetzt werden.

    Voraussetzungen für JTL-Vouchers

    Folgende Versionsnummern werden für das Arbeiten mit JTL-Vouchers vorausgesetzt:

    • JTL-Wawi 1.5.49.1
    • JTL-Wawi 1.6.30.1
    • JTL-POS 1.0.5.6
    • JTL-Shop 5.1
    • JTL-Vouchers Plugin 1.0.0